// 
//  coOccurenceMatrix.inline.h
//  IFT630 - Processus concurrents et parallélisme
//  Benoit Gagnon (05 634 691)
//  
//  $Id: coOccurenceMatrix.inline.h 2926 2008-04-13 22:45:08Z benoit $
// 

///////////////////////////////////////////////////////////////////////////////

inline
unsigned short int CoOccurenceMatrix::getDistance() const
{
    return _distance;
}

///////////////////////////////////////////////////////////////////////////////

inline
CoOccurenceMatrix::StorageType CoOccurenceMatrix::getMatrixValue(
    const int orientation,
    const int ci,
    const int cj
) const
{
    return _table[orientation][ci][cj];
}

///////////////////////////////////////////////////////////////////////////////

inline
float CoOccurenceMatrix::getEnergy() const
{
    return _energy;
}

///////////////////////////////////////////////////////////////////////////////

inline
float CoOccurenceMatrix::getEntropy() const
{
    return _entropy;
}

///////////////////////////////////////////////////////////////////////////////

inline
float CoOccurenceMatrix::getCorrelation() const
{
    return _correlation;
}

///////////////////////////////////////////////////////////////////////////////

inline
float CoOccurenceMatrix::getInverseDifferenceMoment() const
{
    return _inverseDifferenceMoment;
}

///////////////////////////////////////////////////////////////////////////////

inline
float CoOccurenceMatrix::getInertia() const
{
    return _inertia;
}

///////////////////////////////////////////////////////////////////////////////

inline
float CoOccurenceMatrix::getClusterShade() const
{
    return _clusterShade;
}

///////////////////////////////////////////////////////////////////////////////

inline
float CoOccurenceMatrix::getClusterProminence() const
{
    return _clusterProminence;
}
