// 
//  ppmImageFile.h
//  IFT630 - Processus concurrents et parallélisme
//  Benoit Gagnon (05 634 691)
//  
//  $Id: ppmImageFile.h 2926 2008-04-13 22:45:08Z benoit $
// 

#ifndef _PPMIMAGEFILE_H_
#define _PPMIMAGEFILE_H_

#include "imageFile.h"

#include <istream>
#include <string>

class PPMImageFile : public ImageFile
{

    enum PPMStorageType { Binary, ASCII, Unknown };

public:

    PPMImageFile( const std::wstring& filePath );
    ~PPMImageFile();

    // See ImageFile
    ImageBase* read() const;
    void write( const ImageBase* image );

private:

    mutable PPMStorageType _storageType;
};

#endif /* _PPMIMAGEFILE_H_ */
