// 
//  randomRanker.cpp
//  IFT630 - Processus concurrents et parallélisme
//  Benoit Gagnon (05 634 691)
//  
//  $Id: randomRanker.cpp 2928 2008-04-13 22:48:01Z benoit $
// 

#include "randomRanker.h"
#include <cstdlib>
#include <ctime>

///////////////////////////////////////////////////////////////////////////////

RandomRanker::RandomRanker()
{
    // Seed the RNG so that every search gives different scores
    srand( time( NULL ) * rand() );
}
///////////////////////////////////////////////////////////////////////////////

float RandomRanker::rank( const shared_ptr< const ImageReport >&  ) const
{
    return float( rand() ) / float( RAND_MAX );
}
