// 
//  textureFeatureNormalizer.h
//  IFT630 - Processus concurrents et parallélisme
//  Benoit Gagnon (05 634 691)
//  
//  $Id: textureFeatureNormalizer.h 2928 2008-04-13 22:48:01Z benoit $
// 

#ifndef _TEXTUREFEATURENORMALIZER_H_
#define _TEXTUREFEATURENORMALIZER_H_

#include "imageReportPostProcessor.h"
#include "textureFeature.h"

class ImageReport;

class TextureFeatureNormalizer : public ImageReportPostProcessor
{

public:

    TextureFeatureNormalizer(
        ImageFeature::Type                  type,
        const TextureFeature::MinMaxVector& minMaxPairs
    );

    // See ImageReportPostProcessor
    void process( ImageReport& report );

private:

    const ImageFeature::Type           _type;
    const TextureFeature::MinMaxVector _minMaxPairs;
};

#endif /* _TEXTUREFEATURENORMALIZER_H_ */
