// 
//  textureFeatureRangeFinder.h
//  IFT630 - Processus concurrents et parallélisme
//  Benoit Gagnon (05 634 691)
//  
//  $Id: textureFeatureRangeFinder.h 2928 2008-04-13 22:48:01Z benoit $
// 

#ifndef _TEXTUREFEATURERANGEFINDER_H_
#define _TEXTUREFEATURERANGEFINDER_H_

#include "imageReportPostProcessor.h"
#include "textureFeature.h"

class ImageReport;

class TextureFeatureRangeFinder : public ImageReportPostProcessor
{

public:

    TextureFeatureRangeFinder( ImageFeature::Type type );

    // See ImageReportPostProcessor
    void process( ImageReport& report );
    
    TextureFeature::MinMaxVector getMinMaxPairs();

private:

    ImageFeature::Type         _type;
    TextureFeature::MinMaxVector _minMaxPairs;

};

#endif /* _TEXTUREFEATURERANGEFINDER_H_ */
