// 
//  fsUtils.cpp
//  IFT630 - Processus concurrents et paralllisme
//  Benoit Gagnon (05 634 691)
//  
//  $Id: fsUtils.cpp 2933 2008-04-14 03:51:07Z benoit $
// 

#include "fsUtils.h"

#include <wx/wxprec.h>
#ifndef WX_PRECOMP
#include <wx/wx.h>
#endif

#include <wx/dir.h>

///////////////////////////////////////////////////////////////////////////////

void FSUtils::getDirListing(
    const wxString& directoryPath,
    FileList&       fileList
)
{
    wxDir dir( directoryPath );

    wxString filespec = wxT( "*.*" );
    wxString filename; 

    bool cont = dir.GetFirst( &filename, filespec, wxDIR_FILES );
    while ( cont ) 
    {
        wxString fullPath( directoryPath + wxFILE_SEP_PATH + filename );
        fileList.push_back( fullPath.c_str() );
        cont = dir.GetNext( &filename );
    }
}
