// 
//  fsUtilsMacOSX.h
//  IFT630 - Processus concurrents et parallélisme
//  Benoit Gagnon (05 634 691)
//  
//  $Id: fsUtils.h 2935 2008-04-14 06:17:10Z benoit $
// 

#ifndef _FSUTILS_H_
#define _FSUTILS_H_

#include <wx/wxprec.h>
#ifndef WX_PRECOMP
#include <wx/wx.h>
#endif

#include <string>
#include <list>

class FSUtils
{

public:

    typedef std::wstring FilePath;
    typedef std::list< FilePath > FileList;

    static void getDirListing( const wxString& path, FileList& fileList );

private:
    
    FSUtils();
    FSUtils( const FSUtils& );

};

#endif /* _FSUTILS_H_ */
