// 
//  histogramRanker.h
//  IFT630 - Processus concurrents et parallélisme
//  Benoit Gagnon (05 634 691)
//  
//  $Id: histogramRanker.h 2928 2008-04-13 22:48:01Z benoit $
// 

#ifndef _HISTOGRAMRANKER_H_
#define _HISTOGRAMRANKER_H_

#include "imageRanker.h"

class HistogramFeature;

class HistogramRanker : public ImageRanker
{

public:

    HistogramRanker(
        DistanceType type,
        shared_ptr< const HistogramFeature > query
    );

    // See ImageRanker
    float rank( const shared_ptr< const ImageReport >& imgReport ) const;

private:

    const DistanceType                         _type;
    const shared_ptr< const HistogramFeature > _query;
};

#endif /* _HISTOGRAMRANKER_H_ */
