// 
//  imageFeature.cpp
//  IFT630 - Processus concurrents et parallélisme
//  Benoit Gagnon (05 634 691)
//  
//  $Id: imageFeature.cpp 2926 2008-04-13 22:45:08Z benoit $
// 

#include "imageFeature.h"

///////////////////////////////////////////////////////////////////////////////

ImageFeature::ImageFeature()
{}

///////////////////////////////////////////////////////////////////////////////

ImageFeature::~ImageFeature()
{}

///////////////////////////////////////////////////////////////////////////////

ImageFeature::Descriptor::Descriptor()
{}

///////////////////////////////////////////////////////////////////////////////

ImageFeature::Descriptor::Descriptor( std::istream& is )
{
    _type = is.get();
    _colorSpace = is.get();
    is.read( reinterpret_cast< char* >( &_parameters ), sizeof( int64_t ) );
    _valueSize = is.get();
    is.read( reinterpret_cast< char* >( &_nbValues ), sizeof( unsigned int ) );
    _dummy = is.get();
}

///////////////////////////////////////////////////////////////////////////////

void ImageFeature::Descriptor::write( std::ostream& os ) const
{
    os.write( reinterpret_cast< const char* >( &_type ), 1 );
    os.write( reinterpret_cast< const char* >( &_colorSpace ), 1 );
    os.write( reinterpret_cast< const char* >( &_parameters ), 8 );
    os.write( reinterpret_cast< const char* >( &_valueSize ), 1 );
    os.write( reinterpret_cast< const char* >( &_nbValues ), 4 );
    os.write( reinterpret_cast< const char* >( &_dummy ), 1 );
}
