// 
//  imageReportPostProcessor.h
//  IFT630 - Processus concurrents et parallélisme
//  Benoit Gagnon (05 634 691)
//  
//  $Id: imageReportPostProcessor.h 2928 2008-04-13 22:48:01Z benoit $
// 

#ifndef _IMAGEREPORTPOSTPROCESSOR_H_
#define _IMAGEREPORTPOSTPROCESSOR_H_

#include "shared_ptr.h"

class ImageReport;

class ImageReportPostProcessor
{

public:

    virtual void process( ImageReport& report );

    virtual ~ImageReportPostProcessor();

protected:

    ImageReportPostProcessor();
    ImageReportPostProcessor( const ImageReportPostProcessor& );
    ImageReportPostProcessor& operator=( const ImageReportPostProcessor& );
};

#endif /* _IMAGEREPORTPOSTPROCESSOR_H_ */
