// 
//  textureRanker.h
//  IFT630 - Processus concurrents et parallélisme
//  Benoit Gagnon (05 634 691)
//  
//  $Id: textureRanker.h 2928 2008-04-13 22:48:01Z benoit $
// 

#ifndef _TEXTURERANKER_H_
#define _TEXTURERANKER_H_

#include "imageRanker.h"

class TextureFeature;

class TextureRanker : public ImageRanker
{

public:

    TextureRanker(
        DistanceType type,
        shared_ptr< const TextureFeature > query
    );

    // See ImageRanker
    float rank( const shared_ptr< const ImageReport >& imgReport ) const;

private:

    const DistanceType                          _type;
    const shared_ptr< const TextureFeature >    _query;
};

#endif /* _TEXTURERANKER_H_ */
