// 
//  uiDistancesSelector.h
//  IFT630 - Processus concurrents et paralllisme
//  Benoit Gagnon (05 634 691)
//  
//  $Id: uiDistancesSelector.h 2933 2008-04-14 03:51:07Z benoit $
// 

#ifndef _UIDISTANCESSELECTOR_H_
#define _UIDISTANCESSELECTOR_H_

#include <wx/wxprec.h>
#ifndef WX_PRECOMP
#include <wx/wx.h>
#endif

#include "int64.h"
#include <vector>

class UiDistancesSelector : public wxPanel
{

public:

    typedef std::vector< int > Values;

    UiDistancesSelector( wxWindow* parent );

    bool Enable( bool enable = true );
    bool Disable();

    Values getValues() const;
    int64_t toParams() const;

private:

    wxStaticBox* _staticBox;
    wxCheckBox*  _distCheckBox[4];

};

#endif /* _UIDISTANCESSELECTOR_H_ */
